Change in osmo-remsim[master]: Add contrib/jenkins.sh for build verification

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Sun Oct 14 18:49:52 UTC 2018


Harald Welte has uploaded this change for review. ( https://gerrit.osmocom.org/11344


Change subject: Add contrib/jenkins.sh for build verification
......................................................................

Add contrib/jenkins.sh for build verification

Change-Id: I09a020966c3903673626e6d6bbe097d4ba69774b
---
A contrib/jenkins.sh
1 file changed, 43 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-remsim refs/changes/44/11344/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..6eee769
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+# jenkins build helper script for libosmo-abis.  This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+osmo-build-dep.sh libosmocore "" --disable-doxygen
+osmo-build-dep.sh libosmo-abis "" --disable-doxygen
+osmo-build-dep.sh libosmo-netif "" --disable-doxygen
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== libosmo-abis ==============================="
+echo
+set -x
+
+autoreconf --install --force
+./configure --enable-sanitize #--enable-werror
+$MAKE $PARALLEL_MAKE
+$MAKE distcheck \
+  || cat-testlogs.sh
+
+osmo-clean-workspace.sh

-- 
To view, visit https://gerrit.osmocom.org/11344
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-remsim
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I09a020966c3903673626e6d6bbe097d4ba69774b
Gerrit-Change-Number: 11344
Gerrit-PatchSet: 1
Gerrit-Owner: Harald Welte <laforge at gnumonks.org>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20181014/b5c7d8c8/attachment.htm>


More information about the gerrit-log mailing list